# BEGIN SourceDeps(oneline):
BuildRequires: perl(Encode.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(Mock/Quick.pm) perl(Module/Build.pm) perl(Template.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Test/Pcuke/Gherkin.pm) perl(Test/Pcuke/Gherkin/I18n.pm) perl(base.pm) perl(lib.pm) perl(Getopt/Euclid.pm)
# END SourceDeps(oneline)
%define module_version 0.000006
%define module_name Test-Pcuke
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.000006
Release: alt1
Summary: Cucumber for Perl 5
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/C/CR/CRUSOE/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Provides functionality for the pcuke command which is an implementation.of cucumber in Perl 5, and the command itself

If you are interested in pcuke command, please read the Test::Pcuke::Manual manpage

There are some bugs lurking around. Please report if you find any!

	use Test::Pcuke;
	
	my $conf = { ... };
	my $runner = Test::Pcuke->new( $config );
	
	$runner->run();

As to v. 0.0.2 only utf-8 encoding is supported!

To see the list of languages that pcuke supports use a command:

	$ pcuke --i18n help

To see the information on a language, 'ru' for example, use:

	$ pcuke --i18n ru

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name
	
	


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/T*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.000006-alt1
- initial import by package builder

